Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

How to install on Windows? #63

Closed
gilesknap opened this issue Mar 5, 2019 · 3 comments
Labels

Comments

@gilesknap
Copy link
Owner

@gilesknap gilesknap commented Mar 5, 2019

I'm not too familiar with python environments on Windows - I can make it work in pycharm but need independent instructions.

@gilesknap gilesknap added the question label Mar 5, 2019
@gilesknap

This comment has been minimized.

Copy link
Owner Author

@gilesknap gilesknap commented Mar 5, 2019

The following worked for me:
(it may b worth adding C:\Users<Username>\AppData\Local\Programs\Python\Python36\ to the path instead of using the full path every time - not sure why python installer does not do this?)

  • Install python from https://www.python.org/ftp/python/3.6.7/python-3.6.7-amd64.exe
  • mkdir myInstallDir
  • cd myInstallDir
  • C:\Users\giles\AppData\Local\Programs\Python\Python36\python.exe -m pip install pipenv
  • C:\Users\giles\AppData\Local\Programs\Python\Python36\python.exe -m pipenv install gphotos-sync
  • C:\Users\giles\AppData\Local\Programs\Python\Python36\python.exe -m pipenv install python-magic-bin
  • C:\Users\giles\AppData\Local\Programs\Python\Python36/python.exe -m pipenv run gphotos-sync C:\MyPhotosFolder
@gilesknap gilesknap closed this Mar 5, 2019
@mathmul

This comment has been minimized.

Copy link

@mathmul mathmul commented Sep 24, 2019

the last command (python -m pipenv run gphotos-sync C:\MyPhotosFolder) failed in my case:

C:\Python\Python37>python -m pipenv run gphotos-sync C:\MyPhotosFolder
missing or bad secrets file: C:\Users\8000plus\AppData\Local\gphotos-sync\gphotos-sync\client_secret.json
09-24 15:29:50
Process failed.
Traceback (most recent call last):
  File "c:\users\8000plus\.virtualenvs\python37-q9pyk0hv\lib\site-packages\gphotos\authorize.py", line 41, in __init__
    with secrets_file.open('r') as stream:
  File "C:\Python\Python37\Lib\pathlib.py", line 1193, in open
    opener=self._opener)
  File "C:\Python\Python37\Lib\pathlib.py", line 1046, in _opener
    return self._accessor.open(self, flags, mode)
FileNotFoundError: [Errno 2] No such file or directory: 'C:\\Users\\8000plus\\AppData\\Local\\gphotos-sync\\gphotos-sync\\client_secret.json'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "c:\users\8000plus\.virtualenvs\python37-q9pyk0hv\lib\site-packages\gphotos\Main.py", line 372, in main
    self.setup(args, db_path)
  File "c:\users\8000plus\.virtualenvs\python37-q9pyk0hv\lib\site-packages\gphotos\Main.py", line 224, in setup
    int(args.max_retries)
  File "c:\users\8000plus\.virtualenvs\python37-q9pyk0hv\lib\site-packages\gphotos\authorize.py", line 54, in __init__
    exit(1)
  File "c:\users\8000plus\.virtualenvs\python37-q9pyk0hv\lib\site.py", line 397, in __call__
    raise SystemExit(code)
SystemExit: 1
09-24 15:29:50 Done.

How to proceed?

@gilesknap

This comment has been minimized.

Copy link
Owner Author

@gilesknap gilesknap commented Sep 24, 2019

You need to create a client secret file and place it in C:\Users\8000plus\AppData\Local\gphotos-sync\gphotos-sync\.

See the section on 'valid client id' in https://github.com/gilesknap/gphotos-sync or have a read of https://www.linuxuprising.com/2019/06/how-to-backup-google-photos-to-your.html

Cheers,
giles.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
2 participants
You can’t perform that action at this time.